X2Go Bug report logs - #1083
local Xfce session blocks X2Go Xfce session (and vice versa) for same user

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: René Genz <liebundartig@freenet.de>

Date: Sat, 10 Sep 2016 15:45:01 UTC

Severity: normal

Merged with 1046

Found in version 4.0.1.19

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1083; Package x2goserver-xsession. (Sat, 10 Sep 2016 15:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to René Genz <liebundartig@freenet.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 10 Sep 2016 15:45:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: René Genz <liebundartig@freenet.de>
To: submit@bugs.x2go.org
Subject: local Xfce session blocks X2Go Xfce session (and vice versa) for same user
Date: Sat, 10 Sep 2016 17:23:24 +0200
Package: x2goserver-xsession
Version: 4.0.1.19

the situation with X2Go and Fedora 22 x86_64 as X2Go server:
- local Xfce session does not block X2Go Xfce session of same user
- X2Go Xfce session does not block local Xfce session for same user


I did not test with Fedora 23.


Unfortunately, with Fedora 24 x86_64 as X2Go server this changed:
- local Xfce session blocks X2Go Xfce session of same user
- X2Go Xfce session blocks local Xfce session for same user


Choosing non-Xfce entry (f.e. LXDE) as X2Go and local session the connection is established and the session is started and working fine at the same time. No automatic disconnection.



Problem can be reproduced with these steps:
on X2Go server computer (Fedora 24 x86_64): log in to Xfce session as 'user'

on X2Go client computer:
- start X2Go Client and connect to X2Go server as 'user' and a Xfce session
- in X2Go Client status changes to 'Running'
- window for remote computer appears
- some seconds later same window is closed automatically
- in X2Go Client status changes to 'Finished'

The X2Go Client version and operating system does not seem to matter. I could reproduce the problem with:
- Windows 7 X2Go Client 4.0.5.1 2016-08-18
- Lubuntu 14.04 X2Go Client 4.0.1.1
- Mac OS X 10.10.6 with X2Go Client 4.0.5.1



Output on Fedora 24 X2Go server is:
$ tail -f /home/user/.xsession-x2go-errors
XSession-x2go: X session started for user at Sat Sep 10 15:09:20 CEST 2016
xfce4-session: Another session manager is already running

$ sudo tail -f /var/log/messages
Sep 10 15:30:51 f24e5720 systemd-logind: New session 21 of user user.
Sep 10 15:30:51 f24e5720 systemd: Started Session 21 of user user.
...
Sep 10 15:30:53 f24e5720 /usr/sbin/x2gocleansessions[753]: user-50-1473514252_stDXFCE_dp24: state file for this session does not exist: /tmp/.x2go-user/C-user-50-1473514252_stDXFCE_dp24/state (this can be ignored during session startups)
Sep 10 15:30:54 f24e5720 /usr/bin/x2gostartagent: successfully started X2Go agent session with ID user-50-1473514252_stDXFCE_dp24
...
Sep 10 15:30:55 f24e5720 /usr/bin/x2goruncommand: launching session with Xsession-x2go mechanism, using STARTUP="xfce4-session"
...
Sep 10 15:31:07 f24e5720 systemd-logind: Removed session 21.



Disabling SElinux on Fedora 24 X2Go server does not make a difference:
$ sudo vim /etc/selinux/config
set to disabled
$ sudo reboot


Performing fresh installation of Fedora 24 X2Go server from scratch does not make a difference.


Version number comparison:
### F22
$ which xfce4-session
/usr/bin/xfce4-session
$ rpm -qf /usr/bin/xfce4-session
xfce4-session-4.12.1-3.fc22.x86_64
$ rpm -q x2goserver
x2goserver-4.0.1.19-3.fc22.x86_64
$ rpm -q x2goserver-xsession
x2goserver-xsession-4.0.1.19-3.fc22.x86_64

### F24
$ which xfce4-session
/usr/bin/xfce4-session
$ rpm -qf /usr/bin/xfce4-session
xfce4-session-4.12.1-9.fc24.x86_64
$ rpm -q x2goserver
x2goserver-4.0.1.19-11.fc24.x86_64
$ rpm -q x2goserver-xsession
x2goserver-4.0.1.19-11.fc24.x86_64



Maybe changes for this bug are related?
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1046

If you think this is a bug in xfce4-session or Fedora, please, tell me and I will file a bug report there.
-- 
Kind regards,
René


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1083; Package x2goserver-xsession. (Sat, 10 Sep 2016 16:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to René Genz <liebundartig@freenet.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 10 Sep 2016 16:55:02 GMT) Full text and rfc822 format available.

Message #10 received at 1083@bugs.x2go.org (full text, mbox):

From: René Genz <liebundartig@freenet.de>
To: 1083@bugs.x2go.org
Subject: RE: local Xfce session blocks X2Go Xfce session (and vice versa) for same user
Date: Sat, 10 Sep 2016 18:42:28 +0200
sorry, a copy-paste error occured in version number comparison for Fedora 24.
The right output is:
$ rpm -q x2goserver-xsession
x2goserver-xsession-4.0.1.19-11.fc24.x86_64


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1083; Package x2goserver-xsession. (Sun, 11 Sep 2016 10:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 11 Sep 2016 10:20:02 GMT) Full text and rfc822 format available.

Message #15 received at 1083@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: René Genz <liebundartig@freenet.de>, 1083@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1083: local Xfce session blocks X2Go Xfce session (and vice versa) for same user
Date: Sun, 11 Sep 2016 12:15:51 +0200
On Sat, Sep 10, 2016 at 5:23 PM, René Genz <liebundartig@freenet.de> wrote:
> Package: x2goserver-xsession
> Version: 4.0.1.19
>
> the situation with X2Go and Fedora 22 x86_64 as X2Go server:
> - local Xfce session does not block X2Go Xfce session of same user
> - X2Go Xfce session does not block local Xfce session for same user
>
>
> I did not test with Fedora 23.
>
>
> Unfortunately, with Fedora 24 x86_64 as X2Go server this changed:
> - local Xfce session blocks X2Go Xfce session of same user
> - X2Go Xfce session blocks local Xfce session for same user


So XFCE behaves differently on Fedora 24. I suspect this is due to a
change in XFCE not X2Go.

Can you please try to install the exactly same version of X2Go on both setups?

> Maybe changes for this bug are related?
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1046

Maybe, dbus is suspect number one for problems like this. But first
I'd like to rule out XFCE as source of the problem by installing the
same version of X2Go on both systems.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1083; Package x2goserver-xsession. (Sun, 11 Sep 2016 18:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to René Genz <liebundartig@freenet.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 11 Sep 2016 18:40:02 GMT) Full text and rfc822 format available.

Message #20 received at 1083@bugs.x2go.org (full text, mbox):

From: René Genz <liebundartig@freenet.de>
To: uli42@gmx.de, 1083@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1083: local Xfce session blocks X2Go Xfce session (and vice versa) for same user
Date: Sun, 11 Sep 2016 20:32:53 +0200
Hi Uli,

thank you for your guidance. :)

> Can you please try to install the exactly same version of X2Go on both setups?

I installed x2goserver-xsession-4.0.1.19 on Fedora 22 and 24 by building RPMs from Fedoras SRPMs.
Result: It is still the same behaviour.
Fedora 22: local and X2Go Xfce sessions do not block each other for same user
Fedora 24: local and X2Go Xfce sessions block each other for same user


What shall I do next?


For reference, the commands I executed and some of the output.
This guide was very helpful: following guide: https://fedoraproject.org/wiki/How_to_create_an_RPM_package

[root@f24]# dnf remove -y x2go*
...
Removed:
  apr.x86_64 1.5.2-3.fc24                          apr-util.x86_64 1.5.4-3.fc24
  clucene09-core.x86_64 0.9.21b-16.fc24            fedora-logos-httpd.noarch 22.0.0-3.fc24
  fuse-sshfs.x86_64 2.5-3.fc24                     httpd.x86_64 2.4.23-4.fc24
  httpd-filesystem.noarch 2.4.23-4.fc24            httpd-tools.x86_64 2.4.23-4.fc24
  libNX_X11.x86_64 3.5.0.32-4.fc24                 libNX_Xcomposite.x86_64 3.5.0.32-4.fc24
  libNX_Xdamage.x86_64 3.5.0.32-4.fc24             libNX_Xdmcp.x86_64 3.5.0.32-4.fc24
  libNX_Xext.x86_64 3.5.0.32-4.fc24                libNX_Xfixes.x86_64 3.5.0.32-4.fc24
  libNX_Xinerama.x86_64 3.5.0.32-4.fc24            libNX_Xpm.x86_64 3.5.0.32-4.fc24
  libNX_Xrandr.x86_64 3.5.0.32-4.fc24              libNX_Xrender.x86_64 3.5.0.32-4.fc24
  libNX_Xtst.x86_64 3.5.0.32-4.fc24                libXcomp.x86_64 3.5.0.32-4.fc24
  libXcompext.x86_64 3.5.0.32-4.fc24               libXcompshad.x86_64 3.5.0.32-4.fc24
  libmng.x86_64 2.0.3-3.fc24                       libssh.x86_64 0.7.3-1.fc24
  nx-libs.x86_64 3.5.0.32-4.fc24                   nxagent.x86_64 3.5.0.32-4.fc24
  nxproxy.x86_64 3.5.0.32-4.fc24                   perl-Capture-Tiny.noarch 0.36-1.fc24
  perl-Config-Simple.noarch 4.59-22.fc24           perl-DBD-SQLite.x86_64 1.50-2.fc24
  perl-DBI.x86_64 1.634-3.fc24                     perl-File-Which.noarch 1.21-1.fc24
  perl-Sys-Syslog.x86_64 0.34-2.fc24               pwgen.x86_64 2.07-3.fc24
  qt.x86_64 1:4.8.7-18.fc24                        qt-common.noarch 1:4.8.7-18.fc24
  qt-settings.noarch 24-7.fc24                     qt-x11.x86_64 1:4.8.7-18.fc24
  x2goagent.x86_64 3.5.0.32-4.fc24                 x2goclient.x86_64 4.0.5.1-1.fc24
  x2godesktopsharing.x86_64 3.1.1.2-6.fc24         x2goplugin.x86_64 4.0.5.1-1.fc24
  x2goplugin-provider.x86_64 4.0.5.1-1.fc24        x2goserver.x86_64 4.0.1.19-11.fc24
  x2goserver-fmbindings.x86_64 4.0.1.19-11.fc24    x2goserver-printing.x86_64 4.0.1.19-11.fc24
  x2goserver-xsession.x86_64 4.0.1.19-11.fc24

[root@f24]# dnf install -y @development-tools fedora-packager rpmdevtools


[root@f24]# /usr/sbin/useradd makerpm
[root@f24]# usermod -a -G mock makerpm
### mistake in guide: F24 uses mockbuild
[root@f24]# /usr/sbin/useradd mockbuild
[root@f24]# usermod -a -G mockbuild mockbuild

[root@f24]# passwd makerpm
[root@f24]# su - makerpm
[makerpm@f24]$ rpmdev-setuptree



[makerpm@f24]$ dnf download --source nx-libs x2goserver
# downloads: nx-libs-3.5.0.32-4.fc24.src.rpm x2goserver-4.0.1.19-11.fc24.src.rpm
# 'x2goserver-xsession' downloads x2goserver file too

[makerpm@f24]$ rpm -ivh nx-libs-3.5.0.32-4.fc24.src.rpm

[makerpm@f24]$ cd rpmbuild/SPECS
[makerpm@f24]$ rpmlint nx-libs.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[makerpm@f24]$ rpmbuild -ba nx-libs.spec
error: Failed build dependencies:
	imake is needed by nx-libs-3.5.0.32-4.fc24.x86_64
	libfontenc-devel is needed by nx-libs-3.5.0.32-4.fc24.x86_64
	libjpeg-devel is needed by nx-libs-3.5.0.32-4.fc24.x86_64

[root@f24]# dnf install -y imake libfontenc-devel libjpeg-devel
[root@f24]# su - makerpm
[makerpm@f24]$ cd rpmbuild/SPECS
[makerpm@f24]$ rpmbuild -ba nx-libs.spec



[makerpm@f24]$ cd
[makerpm@f24]$ rpm -ivh x2goserver-4.0.1.19-11.fc24.src.rpm
[makerpm@f24]$ cd rpmbuild/SPECS
[makerpm@f24]$ rpmbuild -ba x2goserver.spec
error: Failed build dependencies:
	man2html-core is needed by x2goserver-4.0.1.19-11.fc24.x86_64
	perl(ExtUtils::MakeMaker) is needed by x2goserver-4.0.1.19-11.fc24.x86_64

[root@f24]# dnf install -y man2html-core perl-ExtUtils-MakeMaker
[root@f24]# su - makerpm
[makerpm@f24]$ cd rpmbuild/SPECS
[makerpm@f24]$ rpmbuild -ba x2goserver.spec

[makerpm@f24 SPECS]$ ls ../RPMS/x86_64/
libNX_X11-3.5.0.32-4.fc24.x86_64.rpm             libNX_Xpm-3.5.0.32-4.fc24.x86_64.rpm
nxauth-3.5.0.32-4.fc24.x86_64.rpm                libNX_X11-devel-3.5.0.32-4.fc24.x86_64.rpm
libNX_Xpm-devel-3.5.0.32-4.fc24.x86_64.rpm       nx-libs-3.5.0.32-4.fc24.x86_64.rpm
libNX_Xau-3.5.0.32-4.fc24.x86_64.rpm             libNX_Xrandr-3.5.0.32-4.fc24.x86_64.rpm
nx-libs-debuginfo-3.5.0.32-4.fc24.x86_64.rpm     libNX_Xau-devel-3.5.0.32-4.fc24.x86_64.rpm
libNX_Xrender-3.5.0.32-4.fc24.x86_64.rpm         nx-libs-devel-3.5.0.32-4.fc24.x86_64.rpm
libNX_Xcomposite-3.5.0.32-4.fc24.x86_64.rpm      libNX_Xrender-devel-3.5.0.32-4.fc24.x86_64.rpm
nx-proto-devel-3.5.0.32-4.fc24.x86_64.rpm        libNX_Xdamage-3.5.0.32-4.fc24.x86_64.rpm
libNX_Xtst-3.5.0.32-4.fc24.x86_64.rpm            nxproxy-3.5.0.32-4.fc24.x86_64.rpm
libNX_Xdmcp-3.5.0.32-4.fc24.x86_64.rpm           libXcomp-3.5.0.32-4.fc24.x86_64.rpm
x2goagent-3.5.0.32-4.fc24.x86_64.rpm             libNX_Xdmcp-devel-3.5.0.32-4.fc24.x86_64.rpm
libXcomp-devel-3.5.0.32-4.fc24.x86_64.rpm        x2goserver-4.0.1.19-11.fc24.x86_64.rpm
libNX_Xext-3.5.0.32-4.fc24.x86_64.rpm            libXcompext-3.5.0.32-4.fc24.x86_64.rpm
x2goserver-debuginfo-4.0.1.19-11.fc24.x86_64.rpm libNX_Xext-devel-3.5.0.32-4.fc24.x86_64.rpm
libXcompext-devel-3.5.0.32-4.fc24.x86_64.rpm     x2goserver-fmbindings-4.0.1.19-11.fc24.x86_64.rpm
libNX_Xfixes-3.5.0.32-4.fc24.x86_64.rpm          libXcompshad-3.5.0.32-4.fc24.x86_64.rpm
x2goserver-printing-4.0.1.19-11.fc24.x86_64.rpm  libNX_Xfixes-devel-3.5.0.32-4.fc24.x86_64.rpm
libXcompshad-devel-3.5.0.32-4.fc24.x86_64.rpm    x2goserver-xsession-4.0.1.19-11.fc24.x86_64.rpm
libNX_Xinerama-3.5.0.32-4.fc24.x86_64.rpm        nxagent-3.5.0.32-4.fc24.x86_64.rpm

[root@f24]# cd /home/makerpm/rpmbuild/RPMS/x86_64
[root@f24 x86_64]# dnf install ./*
Failed to set locale, defaulting to C
Last metadata expiration check: 0:42:42 ago on Sun Sep 11 17:16:46 2016.
Dependencies resolved.
=======================================================================
 Package                Arch     Version           Repository     Size
=======================================================================
Installing:
 fuse-sshfs             x86_64   2.5-3.fc24        fedora         63 k
 libNX_X11              x86_64   3.5.0.32-4.fc24   @commandline  517 k
 libNX_X11-devel        x86_64   3.5.0.32-4.fc24   @commandline   53 k
 libNX_Xau              x86_64   3.5.0.32-4.fc24   @commandline   16 k
 libNX_Xau-devel        x86_64   3.5.0.32-4.fc24   @commandline   12 k
 libNX_Xcomposite       x86_64   3.5.0.32-4.fc24   @commandline   15 k
 libNX_Xdamage          x86_64   3.5.0.32-4.fc24   @commandline   15 k
 libNX_Xdmcp            x86_64   3.5.0.32-4.fc24   @commandline   19 k
 libNX_Xdmcp-devel      x86_64   3.5.0.32-4.fc24   @commandline   13 k
 libNX_Xext             x86_64   3.5.0.32-4.fc24   @commandline   34 k
 libNX_Xext-devel       x86_64   3.5.0.32-4.fc24   @commandline   40 k
 libNX_Xfixes           x86_64   3.5.0.32-4.fc24   @commandline   18 k
 libNX_Xfixes-devel     x86_64   3.5.0.32-4.fc24   @commandline   12 k
 libNX_Xinerama         x86_64   3.5.0.32-4.fc24   @commandline   15 k
 libNX_Xpm              x86_64   3.5.0.32-4.fc24   @commandline   42 k
 libNX_Xpm-devel        x86_64   3.5.0.32-4.fc24   @commandline   15 k
 libNX_Xrandr           x86_64   3.5.0.32-4.fc24   @commandline   17 k
 libNX_Xrender          x86_64   3.5.0.32-4.fc24   @commandline   28 k
 libNX_Xrender-devel    x86_64   3.5.0.32-4.fc24   @commandline   14 k
 libNX_Xtst             x86_64   3.5.0.32-4.fc24   @commandline   20 k
 libXcomp               x86_64   3.5.0.32-4.fc24   @commandline  318 k
 libXcomp-devel         x86_64   3.5.0.32-4.fc24   @commandline   24 k
 libXcompext            x86_64   3.5.0.32-4.fc24   @commandline   41 k
 libXcompext-devel      x86_64   3.5.0.32-4.fc24   @commandline   16 k
 libXcompshad           x86_64   3.5.0.32-4.fc24   @commandline   40 k
 libXcompshad-devel     x86_64   3.5.0.32-4.fc24   @commandline   17 k
 nx-libs                x86_64   3.5.0.32-4.fc24   @commandline   22 k
 nx-libs-debuginfo      x86_64   3.5.0.32-4.fc24   @commandline  9.8 M
 nx-libs-devel          x86_64   3.5.0.32-4.fc24   @commandline   41 k
 nx-proto-devel         x86_64   3.5.0.32-4.fc24   @commandline  127 k
 nxagent                x86_64   3.5.0.32-4.fc24   @commandline  1.7 M
 nxauth                 x86_64   3.5.0.32-4.fc24   @commandline   30 k
 nxproxy                x86_64   3.5.0.32-4.fc24   @commandline   15 k
 perl-Capture-Tiny      noarch   0.36-1.fc24       fedora         37 k
 perl-Config-Simple     noarch   4.59-22.fc24      fedora         39 k
 perl-DBD-SQLite        x86_64   1.50-2.fc24       fedora        179 k
 perl-DBI               x86_64   1.634-3.fc24      fedora        729 k
 perl-File-Which        noarch   1.21-1.fc24       fedora         23 k
 perl-Sys-Syslog        x86_64   0.34-2.fc24       updates        48 k
 pwgen                  x86_64   2.07-3.fc24       fedora         30 k
 x2goagent              x86_64   3.5.0.32-4.fc24   @commandline   19 k
 x2goserver             x86_64   4.0.1.19-11.fc24  @commandline  106 k
 x2goserver-debuginfo   x86_64   4.0.1.19-11.fc24  @commandline   16 k
 x2goserver-fmbindings  x86_64   4.0.1.19-11.fc24  @commandline   17 k
 x2goserver-printing    x86_64   4.0.1.19-11.fc24  @commandline   17 k
 x2goserver-xsession    x86_64   4.0.1.19-11.fc24  @commandline   17 k

# reboot


### test again on F24: same behaviour




### Fedora 22
[root@f22]# dnf remove -y x2go*
...
Removed:
  apr.x86_64 1.5.1-3.fc22
  apr-util.x86_64 1.5.4-1.fc22
  fedora-logos-httpd.noarch 22.0.0-1.fc22
  fuse-sshfs.x86_64 2.5-1.fc22
  httpd.x86_64 2.4.18-1.fc22
  httpd-filesystem.noarch 2.4.18-1.fc22
  httpd-tools.x86_64 2.4.18-1.fc22
  libNX_X11.x86_64 3.5.0.32-3.fc22
  libNX_Xcomposite.x86_64 3.5.0.32-3.fc22
  libNX_Xdamage.x86_64 3.5.0.32-3.fc22
  libNX_Xdmcp.x86_64 3.5.0.32-3.fc22
  libNX_Xext.x86_64 3.5.0.32-3.fc22
  libNX_Xfixes.x86_64 3.5.0.32-3.fc22
  libNX_Xinerama.x86_64 3.5.0.32-3.fc22
  libNX_Xpm.x86_64 3.5.0.32-3.fc22
  libNX_Xrandr.x86_64 3.5.0.32-3.fc22
  libNX_Xrender.x86_64 3.5.0.32-3.fc22
  libNX_Xtst.x86_64 3.5.0.32-3.fc22
  libXcompext.x86_64 3.5.0.32-3.fc22
  libXcompshad.x86_64 3.5.0.32-3.fc22
  libnghttp2.x86_64 1.7.1-1.fc22
  nxagent.x86_64 3.5.0.32-3.fc22
  perl-Capture-Tiny.noarch 0.28-1.fc22
  perl-Config-Simple.noarch 4.59-18.fc22
  perl-DBD-SQLite.x86_64 1.46-4.fc22
  perl-File-BaseDir.noarch 0.07-1.fc22
  perl-File-Which.noarch 1.09-19.fc22
  perl-Sys-Syslog.x86_64 0.34-1.fc22
  pwgen.x86_64 2.07-1.fc22
  x2goagent.x86_64 3.5.0.32-3.fc22
  x2goclient.x86_64 4.0.5.1-1.fc22
  x2godesktopsharing.x86_64 3.1.1.2-1.fc22
  x2goplugin.x86_64 4.0.5.1-1.fc22
  x2goplugin-provider.x86_64 4.0.5.1-1.fc22
  x2goserver.x86_64 4.0.1.19-3.fc22
  x2goserver-fmbindings.x86_64 4.0.1.19-3.fc22
  x2goserver-printing.x86_64 4.0.1.19-3.fc22
  x2goserver-xsession.x86_64 4.0.1.19-3.fc22

[root@f22]# dnf install -y @development-tools fedora-packager rpmdevtools

[root@f22]# /usr/sbin/useradd makerpm
[root@f22]# usermod -a -G mock makerpm
### just carried over F24 adaption
[root@f22]# /usr/sbin/useradd mockbuild
[root@f22]# usermod -a -G mockbuild mockbuild

[root@f22]# passwd makerpm
[root@f22]# su - makerpm
[makerpm@f22]$ rpmdev-setuptree


### put files on Fedora 22 machine: nx-libs-3.5.0.32-4.fc24.src.rpm x2goserver-4.0.1.19-11.fc24.src.rpm

[makerpm@f22]$ rpm -ivh nx-libs-3.5.0.32-4.fc24.src.rpm

[makerpm@f22]$ cd rpmbuild/SPECS
[makerpm@f22]$ rpmbuild -ba nx-libs.spec
error: Failed build dependencies:
	autoconf is needed by nx-libs-3.5.0.32-4.fc22.x86_64
	expat-devel is needed by nx-libs-3.5.0.32-4.fc22.x86_64
	fontconfig-devel is needed by nx-libs-3.5.0.32-4.fc22.x86_64
	freetype-devel is needed by nx-libs-3.5.0.32-4.fc22.x86_64
	imake is needed by nx-libs-3.5.0.32-4.fc22.x86_64
	libfontenc-devel is needed by nx-libs-3.5.0.32-4.fc22.x86_64
	libjpeg-devel is needed by nx-libs-3.5.0.32-4.fc22.x86_64

[root@f22]# dnf install -y autoconf expat-devel fontconfig-devel freetype-devel imake libfontenc-devel libjpeg-devel
[root@f22]# su - makerpm
[makerpm@f22]$ cd rpmbuild/SPECS
[makerpm@f22]$ rpmbuild -ba nx-libs.spec
...
configure: WARNING: unrecognized options: --disable-dependency-tracking
...
configure: error: C++ compiler cannot create executables
See `config.log' for more details
...
[root@f22]# dnf install gcc-c++
[root@f22]# su - makerpm
[makerpm@f22]$ cd rpmbuild/SPECS
[makerpm@f22]$ rpmbuild -ba nx-libs.spec



[makerpm@f22]$ cd
[makerpm@f22]$ rpm -ivh x2goserver-4.0.1.19-11.fc24.src.rpm
[makerpm@f22]$ cd rpmbuild/SPECS
[makerpm@f22]$ rpmbuild -ba x2goserver.spec
error: Failed build dependencies:
	man2html-core is needed by x2goserver-4.0.1.19-11.fc24.x86_64
	perl(ExtUtils::MakeMaker) is needed by x2goserver-4.0.1.19-11.fc24.x86_64

[root@f22]# dnf install -y man2html-core perl-ExtUtils-MakeMaker
[root@f22]# su - makerpm
[makerpm@f22]$ cd rpmbuild/SPECS
[makerpm@f22]$ rpmbuild -ba x2goserver.spec

[makerpm@f22]$ ls ../RPMS/x86_64/
libNX_X11-3.5.0.32-4.fc22.x86_64.rpm
libNX_X11-devel-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xau-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xau-devel-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xcomposite-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xdamage-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xdmcp-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xdmcp-devel-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xext-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xext-devel-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xfixes-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xfixes-devel-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xinerama-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xpm-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xpm-devel-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xrandr-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xrender-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xrender-devel-3.5.0.32-4.fc22.x86_64.rpm
libNX_Xtst-3.5.0.32-4.fc22.x86_64.rpm
libXcomp-3.5.0.32-4.fc22.x86_64.rpm
libXcomp-devel-3.5.0.32-4.fc22.x86_64.rpm
libXcompext-3.5.0.32-4.fc22.x86_64.rpm
libXcompext-devel-3.5.0.32-4.fc22.x86_64.rpm
libXcompshad-3.5.0.32-4.fc22.x86_64.rpm
libXcompshad-devel-3.5.0.32-4.fc22.x86_64.rpm
nxagent-3.5.0.32-4.fc22.x86_64.rpm
nxauth-3.5.0.32-4.fc22.x86_64.rpm
nx-libs-3.5.0.32-4.fc22.x86_64.rpm
nx-libs-debuginfo-3.5.0.32-4.fc22.x86_64.rpm
nx-libs-devel-3.5.0.32-4.fc22.x86_64.rpm
nx-proto-devel-3.5.0.32-4.fc22.x86_64.rpm
nxproxy-3.5.0.32-4.fc22.x86_64.rpm
x2goagent-3.5.0.32-4.fc22.x86_64.rpm
x2goserver-4.0.1.19-11.fc22.x86_64.rpm
x2goserver-debuginfo-4.0.1.19-11.fc22.x86_64.rpm
x2goserver-fmbindings-4.0.1.19-11.fc22.x86_64.rpm
x2goserver-printing-4.0.1.19-11.fc22.x86_64.rpm
x2goserver-xsession-4.0.1.19-11.fc22.x86_64.rpm




[root@f22]# cd /home/makerpm/rpmbuild/RPMS/x86_64
[root@f22]# dnf install -y ./*
Last metadata expiration check performed 1:03:24 ago on Sun Sep 11 18:50:43 2016.
Dependencies resolved.
================================================================================
 Package                  Arch      Version               Repository       Size
================================================================================
Installing:
 fuse-sshfs               x86_64    2.5-1.fc22            fedora           63 k
 libNX_X11                x86_64    3.5.0.32-4.fc22       @commandline    520 k
 libNX_X11-devel          x86_64    3.5.0.32-4.fc22       @commandline     53 k
 libNX_Xau                x86_64    3.5.0.32-4.fc22       @commandline     16 k
 libNX_Xau-devel          x86_64    3.5.0.32-4.fc22       @commandline     12 k
 libNX_Xcomposite         x86_64    3.5.0.32-4.fc22       @commandline     15 k
 libNX_Xdamage            x86_64    3.5.0.32-4.fc22       @commandline     15 k
 libNX_Xdmcp              x86_64    3.5.0.32-4.fc22       @commandline     19 k
 libNX_Xdmcp-devel        x86_64    3.5.0.32-4.fc22       @commandline     13 k
 libNX_Xext               x86_64    3.5.0.32-4.fc22       @commandline     34 k
 libNX_Xext-devel         x86_64    3.5.0.32-4.fc22       @commandline     40 k
 libNX_Xfixes             x86_64    3.5.0.32-4.fc22       @commandline     18 k
 libNX_Xfixes-devel       x86_64    3.5.0.32-4.fc22       @commandline     12 k
 libNX_Xinerama           x86_64    3.5.0.32-4.fc22       @commandline     15 k
 libNX_Xpm                x86_64    3.5.0.32-4.fc22       @commandline     42 k
 libNX_Xpm-devel          x86_64    3.5.0.32-4.fc22       @commandline     14 k
 libNX_Xrandr             x86_64    3.5.0.32-4.fc22       @commandline     17 k
 libNX_Xrender            x86_64    3.5.0.32-4.fc22       @commandline     28 k
 libNX_Xrender-devel      x86_64    3.5.0.32-4.fc22       @commandline     14 k
 libNX_Xtst               x86_64    3.5.0.32-4.fc22       @commandline     20 k
 libXcomp-devel           x86_64    3.5.0.32-4.fc22       @commandline     24 k
 libXcompext              x86_64    3.5.0.32-4.fc22       @commandline     42 k
 libXcompext-devel        x86_64    3.5.0.32-4.fc22       @commandline     16 k
 libXcompshad             x86_64    3.5.0.32-4.fc22       @commandline     40 k
 libXcompshad-devel       x86_64    3.5.0.32-4.fc22       @commandline     17 k
 nx-libs-debuginfo        x86_64    3.5.0.32-4.fc22       @commandline    9.7 M
 nx-libs-devel            x86_64    3.5.0.32-4.fc22       @commandline     41 k
 nx-proto-devel           x86_64    3.5.0.32-4.fc22       @commandline    127 k
 nxagent                  x86_64    3.5.0.32-4.fc22       @commandline    1.7 M
 nxauth                   x86_64    3.5.0.32-4.fc22       @commandline     30 k
 perl-Capture-Tiny        noarch    0.28-1.fc22           fedora           36 k
 perl-Config-Simple       noarch    4.59-18.fc22          fedora           40 k
 perl-DBD-SQLite          x86_64    1.46-4.fc22           updates         168 k
 perl-File-BaseDir        noarch    0.07-1.fc22           fedora           22 k
 perl-File-Which          noarch    1.09-19.fc22          fedora           22 k
 perl-Sys-Syslog          x86_64    0.34-1.fc22           updates          47 k
 pwgen                    x86_64    2.07-1.fc22           fedora           28 k
 x2goagent                x86_64    3.5.0.32-4.fc22       @commandline     19 k
 x2goserver               x86_64    4.0.1.19-11.fc22      @commandline    106 k
 x2goserver-debuginfo     x86_64    4.0.1.19-11.fc22      @commandline     16 k
 x2goserver-fmbindings    x86_64    4.0.1.19-11.fc22      @commandline     16 k
 x2goserver-printing      x86_64    4.0.1.19-11.fc22      @commandline     17 k
 x2goserver-xsession      x86_64    4.0.1.19-11.fc22      @commandline     17 k
Upgrading:
 libXcomp                 x86_64    3.5.0.32-4.fc22       @commandline    319 k
 nx-libs                  x86_64    3.5.0.32-4.fc22       @commandline     22 k
 nxproxy                  x86_64    3.5.0.32-4.fc22       @commandline     15 k


[root@f22]# reboot


### test again on F22: same behaviour


### not tested: code from X2Go repo
$ wget --timestamping 'http://packages.x2go.org/fedora/24/main/SRPM/rpms/nx-libs/nx-libs-3.5.0.32-0.0x2go1.1.git20160615.734.main.fc24.src.rpm'
$ wget --timestamping 'http://packages.x2go.org/fedora/24/main/SRPM/rpms/x2goserver/x2goserver-4.0.1.19-0.0x2go2.1.git20160621.1064.main.fc24.src.rpm'
-- 
Kind regards,
René


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1083; Package x2goserver-xsession. (Mon, 12 Sep 2016 21:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Sep 2016 21:00:02 GMT) Full text and rfc822 format available.

Message #25 received at 1083@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: René Genz <liebundartig@freenet.de>, 1083@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1083: local Xfce session blocks X2Go Xfce session (and vice versa) for same user
Date: Mon, 12 Sep 2016 14:49:56 -0600
On 09/10/2016 09:23 AM, René Genz wrote:
> Package: x2goserver-xsession
> Version: 4.0.1.19
> 
> the situation with X2Go and Fedora 22 x86_64 as X2Go server:
> - local Xfce session does not block X2Go Xfce session of same user
> - X2Go Xfce session does not block local Xfce session for same user
> 
> 
> I did not test with Fedora 23.
> 
> 
> Unfortunately, with Fedora 24 x86_64 as X2Go server this changed:
> - local Xfce session blocks X2Go Xfce session of same user
> - X2Go Xfce session blocks local Xfce session for same user
> 
> 
> Choosing non-Xfce entry (f.e. LXDE) as X2Go and local session the connection
> is established and the session is started and working fine at the same time.
> No automatic disconnection.
> 
> 
> 
> Problem can be reproduced with these steps:
> on X2Go server computer (Fedora 24 x86_64): log in to Xfce session as 'user'
> 
> on X2Go client computer:
> - start X2Go Client and connect to X2Go server as 'user' and a Xfce session
> - in X2Go Client status changes to 'Running'
> - window for remote computer appears
> - some seconds later same window is closed automatically
> - in X2Go Client status changes to 'Finished'
> 
> The X2Go Client version and operating system does not seem to matter. I could
> reproduce the problem with:
> - Windows 7 X2Go Client 4.0.5.1 2016-08-18
> - Lubuntu 14.04 X2Go Client 4.0.1.1
> - Mac OS X 10.10.6 with X2Go Client 4.0.5.1
> 
> 
> 
> Output on Fedora 24 X2Go server is:
> $ tail -f /home/user/.xsession-x2go-errors
> XSession-x2go: X session started for user at Sat Sep 10 15:09:20 CEST 2016
> xfce4-session: Another session manager is already running
> 
> $ sudo tail -f /var/log/messages
> Sep 10 15:30:51 f24e5720 systemd-logind: New session 21 of user user.
> Sep 10 15:30:51 f24e5720 systemd: Started Session 21 of user user.
> ...
> Sep 10 15:30:53 f24e5720 /usr/sbin/x2gocleansessions[753]:
> user-50-1473514252_stDXFCE_dp24: state file for this session does not exist:
> /tmp/.x2go-user/C-user-50-1473514252_stDXFCE_dp24/state (this can be ignored
> during session startups)
> Sep 10 15:30:54 f24e5720 /usr/bin/x2gostartagent: successfully started X2Go
> agent session with ID user-50-1473514252_stDXFCE_dp24
> ...
> Sep 10 15:30:55 f24e5720 /usr/bin/x2goruncommand: launching session with
> Xsession-x2go mechanism, using STARTUP="xfce4-session"
> ...
> Sep 10 15:31:07 f24e5720 systemd-logind: Removed session 21.
> 
> 
> 
> Disabling SElinux on Fedora 24 X2Go server does not make a difference:
> $ sudo vim /etc/selinux/config
> set to disabled
> $ sudo reboot
> 
> 
> Performing fresh installation of Fedora 24 X2Go server from scratch does not
> make a difference.
> 
> 
> Version number comparison:
> ### F22
> $ which xfce4-session
> /usr/bin/xfce4-session
> $ rpm -qf /usr/bin/xfce4-session
> xfce4-session-4.12.1-3.fc22.x86_64
> $ rpm -q x2goserver
> x2goserver-4.0.1.19-3.fc22.x86_64
> $ rpm -q x2goserver-xsession
> x2goserver-xsession-4.0.1.19-3.fc22.x86_64
> 
> ### F24
> $ which xfce4-session
> /usr/bin/xfce4-session
> $ rpm -qf /usr/bin/xfce4-session
> xfce4-session-4.12.1-9.fc24.x86_64
> $ rpm -q x2goserver
> x2goserver-4.0.1.19-11.fc24.x86_64
> $ rpm -q x2goserver-xsession
> x2goserver-4.0.1.19-11.fc24.x86_64
> 
> 
> 
> Maybe changes for this bug are related?
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1046
> 
> If you think this is a bug in xfce4-session or Fedora, please, tell me and I
> will file a bug report there.

This looks like a dupe of X2Go bug report #1046.  See also
https://bugzilla.redhat.com/show_bug.cgi?id=1350004

There have been no comments from the X2Go folks on that report though.

Does the fix from that report work for you?

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1083; Package x2goserver-xsession. (Mon, 12 Sep 2016 22:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to René Genz <liebundartig@freenet.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Sep 2016 22:05:02 GMT) Full text and rfc822 format available.

Message #30 received at 1083@bugs.x2go.org (full text, mbox):

From: René Genz <liebundartig@freenet.de>
To: 1083@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1083: local Xfce session blocks X2Go Xfce session (and vice versa) for same user
Date: Tue, 13 Sep 2016 00:00:05 +0200
Hi Uli,

I downgraded all packages to the status at release date of Fedora 24 to no avail.
Packages have been updated again.

I filed a bug report at RedHat Bugzilla:
https://bugzilla.redhat.com/show_bug.cgi?id=1375194



Hi Orion,

I saw that bug report and to me it looked too different, so I ignored it.
In hindsight that was a mistake. I am sorry for wasting everyones time.

The workaround works for me.

What I did:
### on X2Go Server
root@f24# cat >> /usr/local/bin/xfce4-session-test << 'EOF'
#!/bin/sh
unset DBUS_SESSION_BUS_ADDRESS
/usr/bin/xfce4-session
EOF

root@f24# chmod +x /usr/local/bin/xfce4-session-test


### on X2Go Client
X2Go client -- <edit/create profile> -- Session -- Session type:
  |Custom desktop|
  command: xfce4-session-test
-- 
Kind regards,
René


Bug reassigned from package 'x2goserver-xsession' to 'x2goserver'. Request was from Mihai Moldovan <ionic@ionic.de> to 1046-submit@bugs.x2go.org. (Fri, 10 Mar 2017 08:10:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.1.19. Request was from Mihai Moldovan <ionic@ionic.de> to 1046-submit@bugs.x2go.org. (Fri, 10 Mar 2017 08:10:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.19. Request was from Mihai Moldovan <ionic@ionic.de> to 1046-submit@bugs.x2go.org. (Fri, 10 Mar 2017 08:10:02 GMT) Full text and rfc822 format available.

Merged 1046 1083 Request was from Mihai Moldovan <ionic@ionic.de> to 1046-submit@bugs.x2go.org. (Fri, 10 Mar 2017 08:10:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 20:20:06 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.